Page MenuHome GnuPG

Kleopatra: Add warning in compliance mode if gnupg version is not compliant
Testing, NormalPublic

Description

As the RNG in GnuPG 2.3 is not compliant with de-vs nearly all operations in de-vs mode lead into "Forbidden" errors.

This should be caught early and handled with a warning message from Kleopatra to avoid strange situtations where nothing really works.

Event Timeline

aheinecke triaged this task as Normal priority.Mar 25 2021, 3:09 PM
aheinecke created this task.
ikloecker moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Oct 21 2021, 12:54 PM
ikloecker renamed this task from Kleopatra: Add warning in compilance mode if gnupg version is not compliant to Kleopatra: Add warning in compliance mode if gnupg version is not compliant.Oct 26 2021, 12:07 PM

Result of self-test with failed compliance:

Sign/Encrypt files dialog with error message and disabled Encrypt button:

Notepad with warning and disabled Sign / Encrypt button:

Decryption and normal verification of signatures is still possible (unless GnuPG complains because of enforced de-vs compliance).

ikloecker changed the task status from Open to Testing.Oct 26 2021, 6:03 PM
ikloecker changed the status of subtask T5653: de-vs and GnuPG 2.3.3 error from Open to Testing.
ikloecker moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
ikloecker added a subscriber: ikloecker.